FreeBSD : leafnode -- denial of service vulnerability (b5ffaa2a-ee50-4498-af99-61bc1b163c00)

Medium Nessus Plugin ID 19091


The remote FreeBSD host is missing a security-related update.


Matthias Andree reports :

A vulnerability was found in the fetchnews program (the NNTP client) that may under some circumstances cause a wait for input that never arrives, fetchnews 'hangs'. [...]

As only one fetchnews program can run at a time, subsequently started fetchnews and texpire programs will terminate. [...]

Upgrade your leafnode package to version 1.11.3.


Update the affected package.

See Also

Plugin Details

Severity: Medium

ID: 19091

File Name: freebsd_pkg_b5ffaa2aee504498af9961bc1b163c00.nasl

Version: $Revision: 1.13 $

Type: local

Published: 2005/07/13

Modified: 2014/09/18

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:leafnode, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2005/06/09

Vulnerability Publication Date: 2005/06/08

Reference Information

CVE: CVE-2005-1911